×

Warning message

  • Cisco Support Forums is in Read Only mode while the site is being migrated.
  • Cisco Support Forums is in Read Only mode while the site is being migrated.

Migrating from ACS 4.2.0 to 4.2.1

Answered Question
May 30th, 2012
User Badges:

Team,


we are running acs 4.2.0.124.16 on cisco appliance 1113.We need to uprade it to 4.2.1.15 which is the latest release.and need to know the dependencies whether any license required ...???


Need quick help and would be appreciated.

Correct Answer by mauzamor about 5 years 2 months ago

If you have the right software and follow strictly the instructions you shouldn't face any issue to upgrade, here are a few advises:


1. Create and save in an external location a backup file of the appliance, for this you can go to System Configuration/ACS Backup.


2. To upgrade from 4.2.0.124 to 4.2.1.15 you will need to download two files from the Cisco page:


Make sure to install FIRST the one called "ACSse-Upgrade-Pkg-appl-mng-v4.2.1.15-K9.zip", after that you can install the other one. This installation order is very very important, otherwise the upgrade will fail.


3. In case that something goes wrong with the upgrade don't worry, you have a backup file so you still can install again 4.2.0.124, restore the backup and start the upgrade again.


Rate if it helps!

Correct Answer by mauzamor about 5 years 2 months ago

Hi there,


The latest release for ACS 4.x is 4.2.1.15 Patch 8, you can upgrade from your current version to the latest code like this:


4.2.0.124.16 --> 4.2.1.15 ---> Patch 8 for 4.2.1.15


As you can see you will need to upgrade first to 4.2.1.15 and then appy the latest patch 8


You can download the upgrade files from the Cisco page, they are available to everybody with an account.


You don't need a license file or similar to upgrade, you only need to download the files and that's it.



Rate if it helps!

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Correct Answer
mauzamor Wed, 05/30/2012 - 05:22
User Badges:
  • Bronze, 100 points or more

Hi there,


The latest release for ACS 4.x is 4.2.1.15 Patch 8, you can upgrade from your current version to the latest code like this:


4.2.0.124.16 --> 4.2.1.15 ---> Patch 8 for 4.2.1.15


As you can see you will need to upgrade first to 4.2.1.15 and then appy the latest patch 8


You can download the upgrade files from the Cisco page, they are available to everybody with an account.


You don't need a license file or similar to upgrade, you only need to download the files and that's it.



Rate if it helps!

vishweswaran Thu, 05/31/2012 - 03:20
User Badges:

Hello Mauricio,


Thanks for your valuable information.


In addition i would like to know whether any issues (may be common issues expected) while upgrading to 4.2.1 from 4.2.0 on appliance 1113..?

Because this is a critical site and precautions would help us more.


Thanks in advance..:)

Correct Answer
mauzamor Thu, 05/31/2012 - 06:20
User Badges:
  • Bronze, 100 points or more

If you have the right software and follow strictly the instructions you shouldn't face any issue to upgrade, here are a few advises:


1. Create and save in an external location a backup file of the appliance, for this you can go to System Configuration/ACS Backup.


2. To upgrade from 4.2.0.124 to 4.2.1.15 you will need to download two files from the Cisco page:


Make sure to install FIRST the one called "ACSse-Upgrade-Pkg-appl-mng-v4.2.1.15-K9.zip", after that you can install the other one. This installation order is very very important, otherwise the upgrade will fail.


3. In case that something goes wrong with the upgrade don't worry, you have a backup file so you still can install again 4.2.0.124, restore the backup and start the upgrade again.


Rate if it helps!

vishweswaran Fri, 06/22/2012 - 11:02
User Badges:

Hi Mauricio,


Unexpectedly we encountered some problem while upgrading.Eventhough we followed the order to install one by one, now software has been currupted and now all services have been stopped and cannot be restarted.No respomnse to console also.

we tried

  • Hard rebooted the device
  • Tried re-image the device
  • Restoring the backup file of 4.2.0 to 4.2.1


still issue exists


I feel we can revert it bace to 4.2.0.124.how can we do it ?

mauzamor Fri, 06/22/2012 - 13:41
User Badges:
  • Bronze, 100 points or more

That's weird, seems more like a hardware issue. If you want to revert back to 4.2.0124 you need to reimage the appliance with the recovery DVD of 4.2.0.124.


Something else that you can try in the mean time is to download the ACS 4.2.0.124 trial version software from the Cisco page, this way you will be able to install the ACS 4.2 on a Windows server and restore your backup file.

vishweswaran Fri, 06/22/2012 - 23:37
User Badges:

Thanks for your reply


we are following the below steps.


we have below softwares in the order to install one by one on the appliance 1113.

1)ACSse-Upgrade-Pkg-appl-mng-v4.2.1.15-K9.zip

(Appliance Management package)

2)ACSse-Upgrade-Pkg-acs-v4.2.1.15-K9.zip

(ACS Software package)

3)applAcs_4.2.1.15.8.zip

(ACS SE 4.2.1.15.8 cumulative patch)

Is that the right way to go with...???

Thanks in advance ...

Actions

This Discussion

Related Content